// loadSettings - first method called when Settings page loads
///////////////////////////////////////////////////////////////////////////////////////////////////
function loadSettings() {   
    
    // init event methods
    System.Gadget.onSettingsClosing = procSettingsClosingEvent;                 // set settings page closing event
    
    // get settings data
	gDate = System.Gadget.Settings.read("targetDate");	
	gDescription = System.Gadget.Settings.read("targetDescription");		
	gRefresh = System.Gadget.Settings.read("targetRefresh");		
	gDisplay = System.Gadget.Settings.read("targetDisplay");	
	gSmallTextColor = System.Gadget.Settings.read("smallTextColor");	
	gLargeTextColor = System.Gadget.Settings.read("largeTextColor");	
	gBoldText =  System.Gadget.Settings.read("boldText");	
	//Set defaults
	if (gDate>"") {
	} else {
	  gDate="December 31 2008";
	}
	if (gDescription>"") {
	} else {
		gDescription="target";
	}
	
	if (gRefresh>"") {
		if (gRefresh<1) gRefresh=1;
		if (gRefresh>60) gRefresh=60;
	} else {
	  gRefresh="5";
	}
	if (gSmallTextColor>"") {
	} else {
		gSmallTextColor="#F0E68C";
	}
	if (gLargeTextColor>"") {
	} else {
		gLargeTextColor="#000000";
	}

    // add data to Settings page
    targetDate.value = gDate;
    targetDescription.value = gDescription;
    targetRefresh.value=gRefresh;
    targetDisplay.checked=gDisplay;
    smallTextColor.value=gSmallTextColor;	
    largeTextColor.value=gLargeTextColor;
    boldText.checked=gBoldText;
}
///////////////////////////////////////////////////////////////////////////////////////////////////
// procSettingsClosingEvent - process settings page closing event
///////////////////////////////////////////////////////////////////////////////////////////////////
function procSettingsClosingEvent(event){
    // process settings page closing event
    if (event.closeAction == event.Action.commit) {
        // save settings 

   	gDate = targetDate.value;
   	gDescription = targetDescription.value;
	gRefresh=targetRefresh.value;
	gDisplay=targetDisplay.checked;
	gSmallTextColor=smallTextColor.value;
	gLargeTextColor=largeTextColor.value;
	gBoldText=boldText.checked;

	System.Gadget.Settings.write("targetDate", gDate); 
	System.Gadget.Settings.write("targetDescription", gDescription); 
	System.Gadget.Settings.write("targetRefresh", gRefresh); 
	System.Gadget.Settings.write("targetDisplay", gDisplay); 
	System.Gadget.Settings.write("smallTextColor",gSmallTextColor);
	System.Gadget.Settings.write("largeTextColor",gLargeTextColor);
	System.Gadget.Settings.write("boldText",gBoldText);
    }
    event.cancel = false;    
}
///////////////////////////////////////////////////////////////////////////////////////////////////











